Botan 1.10.17

Public Member Functions | List of all members
Botan::Invalid_State Struct Reference

`#include <exceptn.h>`

Inheritance diagram for Botan::Invalid_State:

## Public Member Functions
| Invalid_State (const std::string &err)

## Detailed Description

Invalid_State Exception

Definition at line 25 of file exceptn.h.

## Constructor & Destructor Documentation

## ◆ Invalid_State()

Botan::Invalid_State::Invalid_State | ( | const std::string & | err | ) |
| inline

Definition at line 27 of file exceptn.h.

27 :
28 Exception(err)
29 {}
Botan::Exception
std::runtime_error Exception
Definition: exceptn.h:19

The documentation for this struct was generated from the following file:

- src/utils/exceptn.h